/*
 * PrefixRankedBarNonlinearPattern.cpp
 *
 *  Created on: Jul 20, 2016
 *      Author: Jan Travnicek
 */

#include "PrefixRankedBarNonlinearPattern.h"
#include "../Tree.h"
#include "../RankedTreeWrapper.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace alib {

auto prefixRankedBarNonlinearPatternType = registration::TypeRegister < tree::Tree, tree::PrefixRankedBarNonlinearPattern < > > ( );
auto prefixRankedBarNonlinearPatternType2 = registration::TypeRegister < tree::RankedTreeWrapper, tree::PrefixRankedBarNonlinearPattern < > > ( );
auto prefixRankedBarNonlinearPatternType3 = registration::TypeRegister < alib::Object, tree::PrefixRankedBarNonlinearPattern < > > ( );

auto PrefixRankedBarNonlinearPatternFromRankedTree = registration::CastRegister < tree::PrefixRankedBarNonlinearPattern < >, tree::RankedTree < > > ( );
auto PrefixRankedBarNonlinearPatternFromRankedPattern = registration::CastRegister < tree::PrefixRankedBarNonlinearPattern < >, tree::RankedPattern < > > ( );
auto PrefixRankedBarNonlinearPatternFromRankedNonlinearPattern = registration::CastRegister < tree::PrefixRankedBarNonlinearPattern < >, tree::RankedNonlinearPattern < > > ( );
auto PrefixRankedBarNonlinearPatternFromPrefixRankedBarTree = registration::CastRegister < tree::PrefixRankedBarNonlinearPattern < >, tree::PrefixRankedBarTree < > > ( );
auto PrefixRankedBarNonlinearPatternFromPrefixRankedBarPattern = registration::CastRegister < tree::PrefixRankedBarNonlinearPattern < >, tree::PrefixRankedBarPattern < > > ( );

auto PrefixRankedBarNonlinearPatternName = registration::NameRegister < tree::PrefixRankedBarNonlinearPattern < > > ( tree::PrefixRankedBarNonlinearPattern < >::getXmlTagName ( ) );

} /* namespace alib */
