/*
 * PrefixRankedBarTree.cpp
 *
 *  Created on: Nov 23, 2013
 *      Author: Jan Travnicek
 */

#include "PrefixRankedBarTree.h"
#include "../Tree.h"
#include "../RankedTreeWrapper.h"
#include <object/Object.h>
#include <registration/TypeRegistration.hpp>
#include <registration/CastRegistration.hpp>
#include <registration/NameRegistration.hpp>

namespace alib {

auto prefixRankedBarTreeType = registration::TypeRegister < tree::Tree, tree::PrefixRankedBarTree < > > ( );
auto prefixRankedBarTreeType2 = registration::TypeRegister < tree::RankedTreeWrapper, tree::PrefixRankedBarTree < > > ( );
auto prefixRankedBarTreeType3 = registration::TypeRegister < alib::Object, tree::PrefixRankedBarTree < > > ( );

auto PrefixRankedBarTreeFromRankedTree = registration::CastRegister < tree::PrefixRankedBarTree < >, tree::RankedTree < > > ( );

auto PrefixRankedBarTreeName = registration::NameRegister < tree::PrefixRankedBarTree < > > ( tree::PrefixRankedBarTree < >::getXmlTagName ( ) );

} /* namespace alib */
